Page MenuHomePhabricator

Redesign onRecentChange_save hook handler for ORES
Closed, ResolvedPublic

Description

Now there are several models with different needs and usecases in ORES which is making this hook handler to become overtly complex and needs rewrite from scratch.

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterChange default config of ores models to use the new system
mediawiki/extensions/ORES : masterAdd tests for new system of $wgOresModels
mediawiki/extensions/ORES : masterRewrite RecentChangeSaveHookHandler, part I
mediawiki/extensions/ORES : masterMove Hooks::onRecentChange_save to a dedicated class
mediawiki/extensions/ORES : masterIntroduce SqlScoreLookup and use it in API

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2017, 1:53 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 25 2017, 1:53 PM

Change 405535 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Introduce SqlScoreLookup and use it in API

https://gerrit.wikimedia.org/r/405535

Change 405535 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Introduce SqlScoreLookup and use it in API

https://gerrit.wikimedia.org/r/405535

Change 408849 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Move Hooks::onRecentChange_save to a dedicated class

https://gerrit.wikimedia.org/r/408849

Change 408849 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Move Hooks::onRecentChange_save to a dedicated class

https://gerrit.wikimedia.org/r/408849

Change 412708 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Rewrite RecentChangeSaveHookHandler, part I

https://gerrit.wikimedia.org/r/412708

Change 412708 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Rewrite RecentChangeSaveHookHandler, part I

https://gerrit.wikimedia.org/r/412708

Change 413259 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Add tests for new system of $wgOresModels

https://gerrit.wikimedia.org/r/413259

Change 413259 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Add tests for new system of $wgOresModels

https://gerrit.wikimedia.org/r/413259

Change 416928 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Change default config of ores models to use the new system

https://gerrit.wikimedia.org/r/416928

Change 416928 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Change default config of ores models to use the new system

https://gerrit.wikimedia.org/r/416928

awight added a subscriber: awight.Apr 9 2018, 6:34 PM

Looks like we can mark this as done, or is this pending a train deployment?

This has been deployed long time ago.

awight closed this task as Resolved.May 2 2018, 6:46 PM